using System;

class Program
{
    static string IsSpecialNumber(int n)
    {
        try
        {
            // Проверка за въведено положително цяло число
            if (n <= 0)
                throw new ArgumentException("Невалидно въведено число");

            // Проверка дали всички цифри се делят на n
            foreach (char digit in n.ToString())
            {
                if (digit == '0' || n % (digit - '0') != 0)
                    return "No";
            }

            return "Yes";
        }
        catch (FormatException)
        {
            return "Something went wrong!";
        }
        catch (ArgumentException)
        {
            return "Something went wrong!";
        }
    }

    static void Main()
    {
        // Въвеждане на число от потребителя
        Console.Write("Въведете цяло положително число: ");
        if (int.TryParse(Console.ReadLine(), out int userInput))
        {
            // Проверка и извеждане на резултата
            string result = IsSpecialNumber(userInput);
            Console.WriteLine(result);
        }
        else
        {
            Console.WriteLine("Something went wrong!");
        }
    }
}
