import java.util.Scanner;

public class Main {
    static String isSpecialNumber(int n) {
        try {
            // Проверка за въведено положително цяло число
            if (n <= 0)
                throw new IllegalArgumentException("Невалидно въведено число");

            // Проверка дали всички цифри се делят на n
            for (char digit : Integer.toString(n).toCharArray()) {
                if (digit == '0' || n % (digit - '0') != 0)
                    return "No";
            }

            return "Yes";
        } catch (NumberFormatException e) {
            return "Something went wrong!";
        } catch (IllegalArgumentException e) {
            return "Something went wrong!";
        }
    }

    public static void main(String[] args) {
        // Въвеждане на число от потребителя
        Scanner scanner = new Scanner(System.in);
        System.out.print("Въведете цяло положително число: ");
        try {
            int userInput = Integer.parseInt(scanner.nextLine());

            // Проверка и извеждане на резултата
            String result = isSpecialNumber(userInput);
            System.out.println(result);
        } catch (NumberFormatException e) {
            System.out.println("Something went wrong!");
        }
    }
}
